Package com.sun.mail.imap.protocol

# Class RFC822DATA

java.lang.Object
com.sun.mail.imap.protocol.RFC822DATA

All Implemented Interfaces:
  `Item`

public class RFC822DATA extends Object implements Item
The RFC822 response data item.

Author:
  John Mani, Bill Shannon

## Constructor Summary

Constructors
Constructor
Description
`RFC822DATA(FetchResponse r)`
Constructor, header flag is false.
`RFC822DATA(FetchResponse r, boolean isHeader)`
Constructor, specifying header flag.

## Method Summary

Modifier and Type
Method
Description
`ByteArray`
`getByteArray()`
`ByteArrayInputStream`
`getByteArrayInputStream()`
`boolean`
`isHeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RFC822DATA

public RFC822DATA(FetchResponse r) throws ParsingException
Constructor, header flag is false.

Parameters:
  `r` - the FetchResponse
Throws:
  `ParsingException` - for parsing failures

### RFC822DATA

public RFC822DATA(FetchResponse r, boolean isHeader) throws ParsingException
Constructor, specifying header flag.

Parameters:
  `r` - the FetchResponse
  `isHeader` - just header information?
Throws:
  `ParsingException` - for parsing failures

## Method Details

### getByteArray

public ByteArray getByteArray()

### getByteArrayInputStream

public ByteArrayInputStream getByteArrayInputStream()

### isHeader

public boolean isHeader()